Package org.eclipse.emf.cdo.security

# Interface Role

All Superinterfaces:
  `CDOObject`, `CDOWithID`, `EObject`, `ModelElement`, `Notifier`, `SecurityElement`, `SecurityItem`

All Known Implementing Classes:
  `RoleImpl`

public interface Role extends SecurityItem
A representation of the model object 'Role'.

See Also:
  - `SecurityPackage.getRole()`
Generated
Model
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

  The following features are supported:

  - `Id`
  - `Permissions`
  - `Assignees`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ADMINISTRATION`
`static final String`
`ALL_OBJECTS_READER`
`static final String`
`ALL_OBJECTS_WRITER`
`static final String`
`NORMAL_OBJECTS_READER`
`static final String`
`NORMAL_OBJECTS_WRITER`
`static final String`
`RESOURCE_TREE_READER`
`static final String`
`RESOURCE_TREE_WRITER`

## Method Summary

Modifier and Type
Method
Description
`EList<Assignee>`
`getAssignees()`
Returns the value of the 'Assignees' reference list.
`String`
`getId()`
Returns the value of the 'Id' attribute.
`EList<Permission>`
`getPermissions()`
Returns the value of the 'Permissions' containment reference list.
`void`
`setId(String value)`
Sets the value of the '`Id`' attribute.

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.security.SecurityElement

`getRealm`

## Field Details

### RESOURCE_TREE_WRITER

static final String RESOURCE_TREE_WRITER

Since:
  4.3
See Also:
  - Constant Field Values

### RESOURCE_TREE_READER

static final String RESOURCE_TREE_READER

Since:
  4.3
See Also:
  - Constant Field Values

### ALL_OBJECTS_WRITER

static final String ALL_OBJECTS_WRITER

Since:
  4.3
See Also:
  - Constant Field Values

### ALL_OBJECTS_READER

static final String ALL_OBJECTS_READER

Since:
  4.3
See Also:
  - Constant Field Values

### NORMAL_OBJECTS_WRITER

static final String NORMAL_OBJECTS_WRITER

Since:
  4.5
See Also:
  - Constant Field Values

### NORMAL_OBJECTS_READER

static final String NORMAL_OBJECTS_READER

Since:
  4.5
See Also:
  - Constant Field Values

### ADMINISTRATION

static final String ADMINISTRATION

Since:
  4.3
See Also:
  - Constant Field Values

## Method Details

### getAssignees

EList<Assignee> getAssignees()
Returns the value of the 'Assignees' reference list. The list contents are of type `Assignee`. It is bidirectional and its opposite is '`Roles`'.

If the meaning of the 'Assignees' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Assignees' reference list.
See Also:
  - `SecurityPackage.getRole_Assignees()`
  - `Assignee.getRoles()`
Generated
Model
  opposite="roles"

### getId

String getId()
Returns the value of the 'Id' attribute.

If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Id' attribute.
See Also:
  - `setId(String)`
  - `SecurityPackage.getRole_Id()`
Generated
Model

### setId

void setId(String value)
Sets the value of the '`Id`' attribute.

Parameters:
  `value` - the new value of the 'Id' attribute.
See Also:
  - `getId()`
Generated

### getPermissions

EList<Permission> getPermissions()
Returns the value of the 'Permissions' containment reference list. The list contents are of type `Permission`. It is bidirectional and its opposite is '`Role`'.

If the meaning of the 'Permissions' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Permissions' containment reference list.
See Also:
  - `SecurityPackage.getRole_Permissions()`
  - `Permission.getRole()`
Generated
Model
  opposite="role" containment="true"